## org.hibernate.cache.infinispan.query
Class QueryResultsRegionImpl

    java.lang.Object
      org.hibernate.cache.infinispan.impl.BaseRegion
          org.hibernate.cache.infinispan.impl.BaseTransactionalDataRegion
              org.hibernate.cache.infinispan.query.QueryResultsRegionImpl

All Implemented Interfaces:
  GeneralDataRegion, QueryResultsRegion, Region, TransactionalDataRegion

    public class QueryResultsRegionImpl

extends BaseTransactionalDataRegion
implements QueryResultsRegion

Since:
  3.5

Field Summary

Fields inherited from class org.hibernate.cache.infinispan.impl.BaseRegion
`address, cacheAdapter, invalidateState, invalidationMutex, replication, transactionManager`

Constructor Summary
`QueryResultsRegionImpl(CacheAdapter cacheAdapter, String name, Properties properties, TransactionManager transactionManager, RegionFactory factory)`

Method Summary
`void` `evict(Object key)` Evict an item from the cache immediately (without regard for transaction isolation).
`void` `evictAll()` Evict all contents of this particular cache region (without regard for transaction isolation).
`Object` `get(Object key)` Get an item from the cache.
`void` `put(Object key, Object value)` Put an item into the cache.

Methods inherited from class org.hibernate.cache.infinispan.impl.BaseTransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from class org.hibernate.cache.infinispan.impl.BaseRegion
`checkValid, contains, destroy, get, getAddress, getCacheAdapter, getElementCountInMemory, getElementCountOnDisk, getName, getOwnerForPut, getSizeInMemory, getTimeout, getTransactionManager, invalidateRegion, isValid, nextTimestamp, resume, suspend, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### QueryResultsRegionImpl

    public QueryResultsRegionImpl(CacheAdapter cacheAdapter,
                                  String name,
                                  Properties properties,
                                  TransactionManager transactionManager,
                                  RegionFactory factory)

Method Detail

### evict

    public void evict(Object key)
               throws CacheException

  Description copied from interface: `GeneralDataRegion`
  Evict an item from the cache immediately (without regard for transaction isolation).

  Specified by:
    `evict` in interface `GeneralDataRegion`
  Parameters:
    `key` - The key of the item to remove
  Throws:
    `CacheException` - Indicates a problem accessing the item or region.

### evictAll

    public void evictAll()
                  throws CacheException

  Description copied from interface: `GeneralDataRegion`
  Evict all contents of this particular cache region (without regard for transaction isolation).

  Specified by:
    `evictAll` in interface `GeneralDataRegion`
  Throws:
    `CacheException` - Indicates problem accessing the region.

### get

    public Object get(Object key)
               throws CacheException

  Description copied from interface: `GeneralDataRegion`
  Get an item from the cache.

  Specified by:
    `get` in interface `GeneralDataRegion`
  Parameters:
    `key` - The key of the item to be retrieved.
  Returns:
    the cached object or `null`
  Throws:
    `CacheException` - Indicates a problem accessing the item or region.

### put

    public void put(Object key,
                    Object value)
             throws CacheException

  Description copied from interface: `GeneralDataRegion`
  Put an item into the cache.

  Specified by:
    `put` in interface `GeneralDataRegion`
  Parameters:
    `key` - The key under which to cache the item.
    `value` - The item to cache.
  Throws:
    `CacheException` - Indicates a problem accessing the region.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.